# PHTML::InputNumber Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::InputNumber:

List of all members.

## Public Member Functions

| InputNumber (const char *fname, int min, int max, int value=0, DisableCodes disabled=Enabled, const char *attr=NULL)
virtual | ~InputNumber ()

## Protected Member Functions

| InputNumber (const char *type, const char *fname, int min, int max, int value, DisableCodes disabled, const char *attr)
virtual void | AddAttr (PHTML &html) const

## Constructor & Destructor Documentation

PHTML::InputNumber::InputNumber | ( | const char * | fname,
|  | int | min,
|  | int | max,
|  | int | value = `0`,
|  | DisableCodes | disabled = `Enabled`,
|  | const char * | attr = `NULL` |
| ) |  |  |

virtual PHTML::InputNumber::~InputNumber | ( |  | ) | `[inline, virtual]`

PHTML::InputNumber::InputNumber | ( | const char * | type,
|  | const char * | fname,
|  | int | min,
|  | int | max,
|  | int | value,
|  | DisableCodes | disabled,
|  | const char * | attr |
| ) |  |  | `[protected]`

## Member Function Documentation

virtual void PHTML::InputNumber::AddAttr | ( | PHTML & | html | ) | const`[protected, virtual]`

Reimplemented from PHTML::InputField.

The documentation for this class was generated from the following file:

- html.h